apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: {{ .Chart.Name }}
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: {{ .Values.issuer.acme.email }}
    privateKeySecretRef:
      name: {{ .Values.issuer.acme.privateKeySecretRef.name }}
    {{- if .Values.issuer.http01.enabled }}
    solvers:
      - http01:
          ingress:
            class: nginx
    {{- end }}
